package com.xinelu.common.utils.aes;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description 字节数组
 * @Author WeChat
 * @Date 2024-03-21 10:17:56
 */
class ByteGroup {
    List<Byte> byteContainer = new ArrayList<>();

    public byte[] toBytes() {
        byte[] bytes = new byte[byteContainer.size()];
        for (int i = 0; i < byteContainer.size(); i++) {
            bytes[i] = byteContainer.get(i);
        }
        return bytes;
    }

    public void addBytes(byte[] bytes) {
        for (byte b : bytes) {
            byteContainer.add(b);
        }
    }

    public int size() {
        return byteContainer.size();
    }
}
